#/*==========================================================================*
# *    Copyright(c) 2021, Vertiv Tech Co., Ltd.
# *                     ALL RIGHTS RESERVED
# *
# *  PRODUCT  : ACU(Advanced Controller Unit)
# *
# *  FILENAME : Makefile
# *  CREATOR  : Frank Mao                DATE: 2004-09-10 18:57
# *  VERSION  : V1.00
# *  PURPOSE  : To make the all sampler drivers.
# *
# *  HISTORY  :
# *
# *==========================================================================*/


#The sampler driver directories will be maked
#DIRS = sampler_base scu scup sm_ac sm_bat sm_io lc_adc
DIRS = sampler_base main_board can_sampler i2c_sampler rs485_sampler eem_csu# 

all install test:
	for i in $(DIRS) ; do make -C $$i $@ || exit $?; done

clean:
	for i in $(DIRS) ; do make -C $$i clean ; done
	-rm -f make_debug.txt make_release.txt *.map *.so
	
